Debian Bug report logs - #560248
ltris: FTBFS: uses LC_ALL without including <locale.h>

version graph

Package: ltris; Maintainer for ltris is Colin Tuckley <colint@debian.org>; Source for ltris is src:ltris.

Reported by: Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>

Date: Wed, 9 Dec 2009 23:09:05 UTC

Severity: normal

Tags: patch, upstream

Found in version ltris/1.0.12-1

Fixed in version ltris/1.0.13-1

Done: Colin Tuckley <colint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Colin Tuckley <colint@debian.org>:
Bug#560248; Package ltris. (Wed, 09 Dec 2009 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to Colin Tuckley <colint@debian.org>. (Wed, 09 Dec 2009 23:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: ltris: FTBFS: uses LC_ALL without including <locale.h>
Date: Wed, 9 Dec 2009 23:00:24 +0000
[Message part 1 (text/plain, inline)]
Package: ltris
Version: 1.0.12-1
Tags: upstream, patch

I tried rebuilding this package from source on Ubuntu Jaunty and ran
into this error:

main.c: In function ‘main’:
main.c:41: error: ‘LC_ALL’ undeclared (first use in this function)
main.c:41: error: (Each undeclared identifier is reported only once
main.c:41: error: for each function it appears in.)

main() uses 'setlocale (LC_ALL, "")', but neither it nor any of the
local headers include <locale.h>.

I think this might happen to work in some build environments; at least
on my system, the <libintl.h> they do include looks like it includes
<locale.h> for some but not all optimisation levels.

Nevertheless, it's fragile. The attached patch adds an explicit
dependency.

I think the latest upstream version (2.0.13) is affected as well.
[ltris-locale-hdr.diff (text/x-diff, attachment)]

Reply sent to Colin Tuckley <colint@debian.org>:
You have taken responsibility. (Sat, 12 Dec 2009 13:48:08 GMT) Full text and rfc822 format available.

Notification sent to Jacob Nevins <jacobn+debian@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Sat, 12 Dec 2009 13:48:08 GMT) Full text and rfc822 format available.

Message #10 received at 560248-close@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 560248-close@bugs.debian.org
Subject: Bug#560248: fixed in ltris 1.0.13-1
Date: Sat, 12 Dec 2009 13:47:15 +0000
Source: ltris
Source-Version: 1.0.13-1

We believe that the bug you reported is fixed in the latest version of
ltris, which is due to be installed in the Debian FTP archive:

ltris_1.0.13-1.diff.gz
  to main/l/ltris/ltris_1.0.13-1.diff.gz
ltris_1.0.13-1.dsc
  to main/l/ltris/ltris_1.0.13-1.dsc
ltris_1.0.13-1_i386.deb
  to main/l/ltris/ltris_1.0.13-1_i386.deb
ltris_1.0.13.orig.tar.gz
  to main/l/ltris/ltris_1.0.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560248@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Tuckley <colint@debian.org> (supplier of updated ltris package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Dec 2009 13:01:23 +0000
Source: ltris
Binary: ltris
Architecture: source i386
Version: 1.0.13-1
Distribution: unstable
Urgency: low
Maintainer: Colin Tuckley <colint@debian.org>
Changed-By: Colin Tuckley <colint@debian.org>
Description: 
 ltris      - very polished Tetris clone with CPU opponents
Closes: 560247 560248
Changes: 
 ltris (1.0.13-1) unstable; urgency=low
 .
   * New upstream release.
   * Fix FTBFS: uses LC_ALL without including <locale.h>
     patch from Jacob Nevins (Closes: #560248).
   * Add watch file.
   * Incl incr_hori_delay patch from Jacob Nevins to make keyboard
     controls less twitchey. (Closes: #560247).
Checksums-Sha1: 
 807d1db925db03de5baa8a6dc5c50de2b3861053 1060 ltris_1.0.13-1.dsc
 aeb49678c781abb4233e226d5a5b27b1e19d8da2 845739 ltris_1.0.13.orig.tar.gz
 1782ebd64d7a8ca82a1deca099bd0398c4703d5b 8200 ltris_1.0.13-1.diff.gz
 3e22ecf3b05480101de78aeb7eede7e576fd0458 513508 ltris_1.0.13-1_i386.deb
Checksums-Sha256: 
 9b5b5cf8b52420bce5d9f5440f7ace53e9b6a6053bad06c557282d1669e0b9e0 1060 ltris_1.0.13-1.dsc
 b7d3f93bef1efe907780896c0db3408949cf03c6f797308dbf326ed9223681ba 845739 ltris_1.0.13.orig.tar.gz
 26f2d030b0d5fab37e694f1670e2fde7ab1864cc4c7b32973e549f9585adf878 8200 ltris_1.0.13-1.diff.gz
 03b5afabbdb063e4ce7a32d601adbd86517b9f48a7dce2ea56cafc1986e332a9 513508 ltris_1.0.13-1_i386.deb
Files: 
 7ecfa52ff8dd5670bb1e749f3a3f9018 1060 games optional ltris_1.0.13-1.dsc
 33e62113e0ade4c2a26a9615442defec 845739 games optional ltris_1.0.13.orig.tar.gz
 9c76a149538f031b506a1715a0f40d47 8200 games optional ltris_1.0.13-1.diff.gz
 361b3b9e9371c5f97cb3aafa3345e4fe 513508 games optional ltris_1.0.13-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksjmlMACgkQj2OPlhswRc5cPwCfWdsssEJPKvqq1xiovr8q0w+R
vX8AoMcgAMz1Odqgvc+JRslk5yuGR4+W
=+OmY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jan 2010 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:55:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.